Summary: ROOT
Name: root
Version: 5.08.00b
Release: 1a
Source0: localhost:/%{name}_v%{version}-macosx10.4.tar.gz
NoSource: 0
URL: http://wwwasd.web.cern.ch/wwwasd/cernlib/
Group: Development/Libraries
License: LGPL
%define __prefix	/opt/root
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
The ROOT system provides a set of OO frameworks with all the functionality needed to handle
and analyse large amounts of data in a very efficient way. Having the data defined as a set 
of objects, specialised storage methods are used to get direct access to the separate 
attributes of the selected objects, without having to touch the bulk of the data. Included 
are histograming methods in 1, 2 and 3 dimensions, curve fitting, function evaluation, 
minimisation, graphics and visualization classes to allow the easy setup of an analysis 
system that can query and process the data interactively or in batch mode.

Thanks to the builtin CINT C++ interpreter the command language, the scripting, or macro, 
language and the programming language are all C++. The interpreter allows for fast prototyping 
of the macros since it removes the time consuming compile/link cycle. It also provides a good 
environment to learn C++. If more performance is needed the interactively developed macros 
can be compiled using a C++ compiler.

The system has been designed in such a way that it can query its databases in parallel on MPP 
machines or on clusters of workstations or high-end PC's. ROOT is an open system that can be 
dynamically extended by linking external libraries. This makes ROOT a premier platform on 
which to build data acquisition, simulation and data analysis systems.

%prep
%setup -c %{name}-%{release}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}

%install
tar -zpxvf $RPM_SOURCE_DIR/%{name}_v%{version}-macosx10.4.tar.gz -C $RPM_BUILD_ROOT%{__prefix}
find $RPM_BUILD_ROOT -type d | sed -e "s;$RPM_BUILD_ROOT;%dir ;" \
			     | grep -ve '^%dir %{__prefix}$' \
			     | grep -ve '^%dir /[^/]*$'  \
			     | grep -ve '^%dir $' > list.f
find $RPM_BUILD_ROOT -type f | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f
find $RPM_BUILD_ROOT -type l | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 13 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 5.08.00b-1a
- 1st release on MacOS X 10.4 compilied with gcc4.1 and gfortran.
- with minuit2, mathcore, mathmore, and roofit.

* Wed Dec 21 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 5.08.00-1b
- 2nd release on MacOS X 10.4 compilied with gcc4.1 and gfortran.
- added minuit2.

* Fri Dec 16 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 5.08.00-1a
- 1st release on MacOS X 10.4 compilied with gcc4.1 and gfortran.

* Fri Nov 25 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 5.06.00-1b
- 2nd release on MacOS X 10.4 compilied with gcc4.1 and gfortran.
- linked against libgfortran.1.dylib instead of libgfortran.0.dylib.

* Fri Nov 18 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 5.06.00-1a
- 1st release on MacOS X 10.4 compilied with gcc4.1 and gfortran.

%files -f list.f
%defattr(-,root,wheel)
